org.modeshape.webdav

## Class WebdavServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.modeshape.webdav.WebDavServletBean
      - - org.modeshape.webdav.WebdavServlet

- All Implemented Interfaces:
    Serializable, Servlet, ServletConfig

      public class WebdavServlet
      extends WebDavServletBean

  Servlet which provides support for WebDAV level 2. the original class is org.apache.catalina.servlets.WebdavServlet by Remy Maucherat, which was heavily changed
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.webdav.WebDavServletBean

      `MD5_HELPER, resLocks, store`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebdavServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IWebdavStore` | `constructStore(String clazzName, File root)`
    `void` | `init()`

    - ### Methods inherited from class org.modeshape.webdav.WebDavServletBean

      `destroy, init, register, service, translate`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebdavServlet

          public WebdavServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws ServletException

      Overrides:
        `init` in class `GenericServlet`
      Throws:
        `ServletException`

    - #### constructStore

          protected IWebdavStore constructStore(String clazzName,
                                    File root)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.